ChangeSet 1.1243.50.11, 2003/06/10 14:36:33-07:00, mdharm-usb@one-eyed-alien.net

[PATCH] USB: usb-storage: remove dead code

This patch removes the code that faked the EVPD INQUIRY.  The SCSI core no
longer does that, so there is no need to filter it.


 drivers/usb/storage/usb.c |   11 -----------
 1 files changed, 11 deletions(-)


diff -Nru a/drivers/usb/storage/usb.c b/drivers/usb/storage/usb.c
--- a/drivers/usb/storage/usb.c	Tue Jun 10 17:11:28 2003
+++ b/drivers/usb/storage/usb.c	Tue Jun 10 17:11:28 2003
@@ -364,17 +364,6 @@
 			us->srb->result = DID_BAD_TARGET << 16;
 		}
 
-		/* handle requests for EVPD, which most USB devices do
-		 * not support */
-		else if((us->srb->cmnd[0] == INQUIRY) &&
-				(us->srb->cmnd[1] & 0x1)) {
-				US_DEBUGP("Faking INQUIRY command for EVPD\n");
-				memcpy(us->srb->sense_buffer, 
-				       usb_stor_sense_invalidCDB, 
-				       sizeof(usb_stor_sense_invalidCDB));
-				us->srb->result = SAM_STAT_CHECK_CONDITION;
-		}
-
 		/* Handle those devices which need us to fake 
 		 * their inquiry data */
 		else if ((us->srb->cmnd[0] == INQUIRY) &&
